---
identifier: "SS-2015-028"
package_slug: "packagist/silverstripe/cms"
title: "Missing security check on dev/build/defaults"
description: "The `buildDefaults` method on `DevelopmentAdmin` is missing a permission
  check. In live mode, if you access /dev/build, you are requested to login first.
  However, if you access /dev/build/defaults, then the action is performed without
  any login check. This should be protected in the same way that /dev/build is. The
  `buildDefaults` view is `requireDefaultRecords()` on each `DataObject` class, and
  hence has the potential to modify database state. It also lists all modified tables,
  allowing attackers more insight into which modules are used, and how the database
  tables are structured."
date: "2016-02-24"
pubdate: "2016-02-24"
affected_range: ">=3.1.0-alpha,<3.1.17-stable||>=3.2.0-alpha,<3.2.2-stable
  ||>=3.3.0-alpha,<3.3.0-stable"
fixed_versions:
- "3.1.17"
- "3.2.2"
- "3.3.0"
affected_versions: "All versions starting from 3.1.0-alpha before 3.1.17, all versions
  starting from 3.2.0-alpha before 3.2.2, all versions starting from 3.3.0-alpha before
  3.3.0"
solution: "Upgrade to latest version."
urls:
- "http://www.silverstripe.org/download/security-releases/ss-2015-028/"
credit: "Matt Peel and Robby Ahn"
uuid: "43b767af-13c3-4bc9-987c-52fcf86f4dcb"
